import ApiResource from "~/models/ApiResource";
import {Str, Uid, Attr, Bool, Num} from "pinia-orm/dist/decorators";

export default class SubdomainAvailability extends ApiResource {
    static entity = 'subdomains/is_available'

    @Uid()
    declare id: number | string | null

    @Str(null)
    declare subdomain: string

    @Bool(false)
    declare available: boolean
}
